List Metadata
curl --request GET \
--url https://api.lendflow.com/api/metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_type": "application",
"model_id": "architecto",
"search": "architecto"
}
'import requests
url = "https://api.lendflow.com/api/metadata"
payload = {
"model_type": "application",
"model_id": "architecto",
"search": "architecto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_type: 'application', model_id: 'architecto', search: 'architecto'})
};
fetch('https://api.lendflow.com/api/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"model_type": "App\\Models\\Application",
"model_id": "326df55e-9691-404f-af0c-1a559f47417b",
"key": "intuit_offer_checksum",
"value": "eius",
"content": {
"version": null,
"type": "null",
"value": null
},
"lendflow_only": false,
"created_at": null,
"updated_at": null
},
{
"id": null,
"model_type": "App\\Models\\Application",
"model_id": "1a924814-657f-49ba-bafd-4dccd1efafb8",
"key": "intuit_offer_checksum",
"value": "eveniet",
"content": {
"version": null,
"type": "null",
"value": null
},
"lendflow_only": false,
"created_at": null,
"updated_at": null
}
]
}Metadata
List Metadata
Returns a paginated list of the metadata records attached to a model, such as an application or a file. Results can be searched by id or key prefix.
GET
/
api
/
metadata
List Metadata
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
The type of model. Supported: file, application.
Available options:
file, application Example:
"application"
The ID of the model (UUID for applications, integer for files).
Example:
"architecto"
Search by id or key prefix.
Example:
"architecto"
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"model_type": "App\\Models\\Application",
"model_id": "326df55e-9691-404f-af0c-1a559f47417b",
"key": "intuit_offer_checksum",
"value": "eius",
"content": {
"version": null,
"type": "null",
"value": null
},
"lendflow_only": false,
"created_at": null,
"updated_at": null
},
{
"id": null,
"model_type": "App\\Models\\Application",
"model_id": "1a924814-657f-49ba-bafd-4dccd1efafb8",
"key": "intuit_offer_checksum",
"value": "eveniet",
"content": {
"version": null,
"type": "null",
"value": null
},
"lendflow_only": false,
"created_at": null,
"updated_at": null
}
]
Was this page helpful?